# VectorService

Package io.milvus.v2.service.vector

## Class VectorService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.vector.VectorService

    public class VectorService
    extends BaseService

### Field Summary

Fields
`CollectionService` `collectionService`
`IndexService` `indexService`

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
`VectorService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteResp` `delete​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, DeleteReq request)`
`GetResp` `get​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, GetReq request)`
`InsertResp` `insert​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, InsertReq request)`
`QueryResp` `query​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, QueryReq request)`
`SearchResp` `search​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, SearchReq request)`
`UpsertResp` `upsert​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, UpsertReq request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### collectionService

    public CollectionService collectionService

#### indexService

    public IndexService indexService

### Constructor Detail

#### VectorService

    public VectorService()

### Method Detail

#### insert

    public InsertResp insert​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                             InsertReq request)

#### upsert

    public UpsertResp upsert​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                             UpsertReq request)

#### query

    public QueryResp query​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                           QueryReq request)

#### search

    public SearchResp search​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                             SearchReq request)

#### delete

    public DeleteResp delete​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                             DeleteReq request)

#### get

    public GetResp get​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                       GetReq request)